#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cerr.tie(nullptr);
    int n, k, x;
    cin >> n >> k >> x;
    x--;
    int a[n];
    int prefiksni[n + 1];
    prefiksni[0] = 0;
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        prefiksni[i + 1] = prefiksni[i] + a[i];
    }
    for (int j = k - 1; j < n; j++) {
        vector<int> zbirovi(k);
        int s = 0;
        for (int i = 0; i < k - 1; i++) {
            s += a[j - i];
            zbirovi[i] = s;
        }
        zbirovi[k - 1] = 0;
        sort(zbirovi.begin(), zbirovi.end());
        int vrednost = prefiksni[j + 1] - prefiksni[j - k + 1];
        for (int i = 0; i < x; i++)
            vrednost += zbirovi[k - 1 - i];
        cout << vrednost << ' ';
    }
    cout << '\n';
    return 0;
}